int controllerPin = A0;    // select the input pin for the potentiometer
int controllerValue = 0;  // variable to store the value coming from the potentiometer
int LEDredPin = 7;       // pin number to which LED is attached
int LEDyellowPin = 5;       // pin number to which LED is attached
int LEDgreenPin = 3;       // pin number to which LED is attached
int delay_time_long = 0;
int delay_time_short = 0;

void setup() {
  pinMode(LEDredPin, OUTPUT);
  pinMode(LEDyellowPin, OUTPUT);
  pinMode(LEDgreenPin, OUTPUT);    
  Serial.begin(9600);
}
void loop() {
  controllerValue = analogRead(controllerPin); // read controller value
  delay_time_long = controllerValue*10;  // calibration of  delay time 
  delay_time_short = delay_time_long/15;

  Serial.print("Contrller value:");
  Serial.println(controllerValue); // display in monitor
  Serial.print("Time Interval Long:");  
  Serial.print(delay_time_long);
  Serial.println("ms");  
  Serial.print("Time Interval Short:");     
  Serial.print(delay_time_short);   
  Serial.println("ms");  

// traffic light sequence 
  digitalWrite(LEDgreenPin, HIGH); // phase 1: green/yellow/red (on/off/off)
  digitalWrite(LEDyellowPin, LOW);
  digitalWrite(LEDredPin, LOW);
  
  delay(delay_time_long); 

  digitalWrite(LEDgreenPin, LOW); // phase 2: green/yellow/red (off/on/off)
  digitalWrite(LEDyellowPin, HIGH);
  digitalWrite(LEDredPin, LOW);
  
  delay(delay_time_short);

  digitalWrite(LEDgreenPin, LOW); // phase 3: green/yellow/red (off/off/on)
  digitalWrite(LEDyellowPin, LOW);
  digitalWrite(LEDredPin, HIGH);

  delay(delay_time_long);

  digitalWrite(LEDgreenPin, LOW); // phase 4: green/yellow/red (off/on/on)
  digitalWrite(LEDyellowPin, HIGH);
  digitalWrite(LEDredPin, HIGH);    

  delay(delay_time_short); 
}
